/**
 * @author Oscar Bahamonde - Luis Vera
 */
import java.awt.BorderLayout;
import java.awt.Container;
import javax.swing.*;


public class CongestionControl extends JApplet {
/**
 * Inicia un nuevo Applet
 */
	public void init() {
    	setSize(myNetwork.WIDTH, myNetwork.HEIGHT + 50); // Setea el tamao del applet
    	myNetwork network = new myNetwork();
    	CongestionControlPanel2 ccp2 = new CongestionControlPanel2(network);
    	GraphicPanel g = new GraphicPanel();
        JSplitPane splitPane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT);
        splitPane.setDividerLocation(this.getWidth()/4);
        splitPane.setRightComponent(g);  // Pone el grafico al lado derecho
        splitPane.setLeftComponent(ccp2); // Pone la red en el lado izquierdo
        add(splitPane);
        splitPane.setOneTouchExpandable(false);
        network.setGraphicPanel(g); 
        network.setPanel(ccp2);     
    	ElementMenuListener cListener = new ElementMenuListener(network);
        NetworkControlMenuListener ncListener = new NetworkControlMenuListener(network, ccp2);
        JMenuBar menuBar = createLabMenuBar(cListener, ncListener);
        setJMenuBar(menuBar);  // Agrega barrade menus
    }
    /**
	 * Crea el menu del applet
	 * @return mb (Menu) 
	 */
    private JMenuBar createLabMenuBar(ElementMenuListener cl, NetworkControlMenuListener nl) {
        JMenuBar mb = new JMenuBar();

        JMenu menu = new JMenu ("Source");
        mb.add(menu);

        JMenuItem menuItem = new JMenuItem("Add");
        menuItem.addActionListener(cl);
        menu.add(menuItem);

        menu = new JMenu("Network");
        mb.add(menu);

        menuItem = new JMenuItem("Start");
        menuItem.addActionListener(nl);
        menu.add(menuItem);
        menuItem = new JMenuItem("Stop");
        menuItem.addActionListener(nl);
        menu.add(menuItem);
        menuItem = new JMenuItem("Set Total CongWin");
        menuItem.addActionListener(nl);
        menu.add(menuItem);
        JMenu subMenu = new JMenu("Simulator");
        menu.add(subMenu);
        menuItem = new JMenuItem("Delta time");
        menuItem.addActionListener(nl);
        subMenu.add(menuItem);
        menuItem = new JMenuItem("Graphics Refresh time");
        menuItem.addActionListener(nl);
        subMenu.add(menuItem);

        return mb;
    }
}
