import javax.swing.JPanel;
import java.awt.event.*;
import java.awt.geom.Point2D;

/**
 * @author  Oscar Bahamonde & Luis Vera
 */
public class MouseListener extends MouseAdapter {

	private myNetwork network;
   	private JPanel panel;
   	
   	/**
   	 * Constructor.	Inicializa un observador de eventos para el mouse.
   	 * @param n		Network.
   	 * @param p		Panel principal.
   	 */
   	public MouseListener (myNetwork n, JPanel p){
	   network = n;
	   panel = p;
   	} 
   
   	/**
   	 * Se activa si se hizo click con el mouse.
   	 * @param e		Evento de mouse.
   	 */
   public void mouseClicked(MouseEvent e) {
	   Point2D.Double p = new Point2D.Double(0,0);
	   myNetwork.SPACE_INVERSE_TRANSFORM.transform(e.getPoint(),p);
	   if (network.isDeletenable() == true) {
		   Source newSource = (Source) network.find(p.getX(), p.getY());
		   network.removeSource(newSource);
		   network.disableDelete();
	       panel.repaint();
	   }
   }
}