import java.awt.event.*;
import javax.swing.*;

/**
 * @author  Oscar Bahamonde & Luis Vera
 */
public class NetworkControlMenuListener implements ActionListener {
	private myNetwork network;
    private JPanel jpanel;
    private GraphicPanel g;
    
    /**
     * Constructor.	Añade un detector de eventos al menu de control de la red.
     * @param n		Network.
     * @param p		Panel de control de congestion.
     */
	public NetworkControlMenuListener (myNetwork n, JPanel p){
		network = n;
        jpanel = p;
	}
	
	/**
	 * Acciones sobre el menu.
	 * @param e Evento que gatilla una accion.
	 */
	public void actionPerformed(ActionEvent e) {
		String data;
		JMenuItem menuItem = (JMenuItem)(e.getSource());
		String text = menuItem.getText();
		if (text.equals("Start"))   network.start();	//Inicia la simulacion.
		if (text.equals("Stop"))    network.stop();		//Detiene la simulacion.
		if (text.equals("Set Total CongWin")) {		//Establece la ventana de la red.
			try {
				data = JOptionPane.showInputDialog("Enter Total CongWIn");
				network.setTotalCongWin(Double.parseDouble(data));
			} catch ( NumberFormatException ex) {
				network.setTotalCongWin(myNetwork.DEFAULT_CONGWIN);
			}
		}
		if (text.equals("Delta time")){		//Establece el delta de tiempo.
			try {
				data = JOptionPane.showInputDialog("Enter delta t [s]");
				network.setDelta_t(Float.parseFloat(data));
			} catch ( NumberFormatException ex) {
				network.setDelta_t(myNetwork.DEFAUL_DELTA);
			}
		}
		if (text.equals("Graphics Refresh time")) {		//Establece el tiempo de refresco.
			try {
				data = JOptionPane.showInputDialog("Enter refresh time [s]");
				network.setRefreshPeriod(Float.parseFloat(data));
			} catch ( NumberFormatException ex) {
				network.setRefreshPeriod(myNetwork.DEAFAUL_REFRESH);
			}
		}
	}
}